ketai.camera

## Class KetaiFace

- java.lang.Object
- - android.hardware.Camera.Face
  - - ketai.camera.KetaiFace

-     public class KetaiFace
      extends android.hardware.Camera.Face

  The Class KetaiFace wrap the internal android Face class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `processing.core.PVector` | `center` The center.
    `int` | `height` The height.
    `int` | `id` The height.
    `processing.core.PVector` | `leftEye` The center.
    `processing.core.PVector` | `mouth` The center.
    `processing.core.PVector` | `rightEye` The center.
    `int` | `score` The height.
    `int` | `width` The height.

    - ### Fields inherited from class android.hardware.Camera.Face

      `rect`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KetaiFace(android.hardware.Camera.Face f, int frameWidth, int frameHeight)` Instantiates a new ketai face.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### leftEye

          public processing.core.PVector leftEye

      The center.

    - #### rightEye

          public processing.core.PVector rightEye

      The center.

    - #### mouth

          public processing.core.PVector mouth

      The center.

    - #### center

          public processing.core.PVector center

      The center.

    - #### id

          public int id

      The height.

    - #### score

          public int score

      The height.

    - #### width

          public int width

      The height.

    - #### height

          public int height

      The height.

  - ### Constructor Detail

    - #### KetaiFace

          public KetaiFace(android.hardware.Camera.Face f,
                           int frameWidth,
                           int frameHeight)

      Instantiates a new ketai face.
      Parameters:
        `f` - the face Object
        `frameWidth` - the frame width to map the Face on
        `frameHeight` - the frame height to map the Face on